# fullCalendar

## THIS ELEMENT IS IN DEVELOPMENT AND DOCS ARE PRELIMINARY

Implementation of [www.fullcalendar.io](http://www.fullcalendar.io) calendaring component.

Component based on <https://github.com/CroudTech/vue-fullcalendar>

Action keys:

* **event-selected(event, jsEvent, view)** - Triggered on eventClick()
* **event-mouseover(event, jsEvent, view)** - Triggered on eventMouseover()
* **event-mouseout(event, jsEvent, view)** - Triggered on eventMouseout()
* **event-drop(event)** - Triggered on eventDrop()
* **event-resize(event)** - Triggered on eventResize()
* **event-created(event)** - Triggered on select()
* **event-receive(event)** - Triggered on eventReceive()
* **event-render(event)** - Triggered on eventRender()
* **view-render(view, element)** - Triggered on viewRender()
* **day-click(date, jsEvent, view)** - Triggered on dayClick()


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/reference/components-overview/misc-elements/fullcalendar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
